com.sun.tdk.specdiff.html.report

## Class ContextDiffReportBuilder

- java.lang.Object
- - com.sun.tdk.specdiff.html.AbstractDifferModule
  - - com.sun.tdk.specdiff.html.report.DiffReportBuilder
    - - com.sun.tdk.specdiff.html.report.ContextDiffReportBuilder

- All Implemented Interfaces:
    DifferModule, ReportBuilder

      public class ContextDiffReportBuilder
      extends DiffReportBuilder

  An implementation of ReportBuilder that supports document contexts

- - ### Field Summary

    - ### Fields inherited from class com.sun.tdk.specdiff.html.report.DiffReportBuilder

      `PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextDiffReportBuilder(StatBuilder builder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `buildChangedReport(SaxDiffOutput output, org.outerj.daisy.diff.html.dom.DomTreeBuilder oldHnd, org.outerj.daisy.diff.html.dom.DomTreeBuilder newHnd, java.util.List<org.outerj.daisy.diff.html.HTMLDiffer.ContextHistory> historyList)` Produces XML 'changed' diff report

    - ### Methods inherited from class com.sun.tdk.specdiff.html.report.DiffReportBuilder

      `build, buildAddedReport, buildRemovedReport, getSaxDiffOutput, getXmlReportFile`

    - ### Methods inherited from class com.sun.tdk.specdiff.html.AbstractDifferModule

      `getFileName, getNewPath, getOldPath, getOutDir, getParameters, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.sun.tdk.specdiff.html.DifferModule

      `getParameters, init`

- - ### Constructor Detail

    - #### ContextDiffReportBuilder

          public ContextDiffReportBuilder(StatBuilder builder)

  - ### Method Detail

    - #### buildChangedReport

          protected void buildChangedReport(SaxDiffOutput output,
                                            org.outerj.daisy.diff.html.dom.DomTreeBuilder oldHnd,
                                            org.outerj.daisy.diff.html.dom.DomTreeBuilder newHnd,
                                            java.util.List<org.outerj.daisy.diff.html.HTMLDiffer.ContextHistory> historyList)
                                     throws org.xml.sax.SAXException,
                                            java.io.IOException

      Description copied from class: `DiffReportBuilder`
      Produces XML 'changed' diff report
      Overrides:
        `buildChangedReport` in class `DiffReportBuilder`
      Throws:
        `org.xml.sax.SAXException`
        `java.io.IOException`